Runtime

## org.eclipse.gmf.runtime.emf.ui.services.modelingassistant
Class GetTypesForSourceOperation

    java.lang.Object
      org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.GetTypesForSourceOperation

All Implemented Interfaces:
  IModelingAssistantOperation, IOperation

public class GetTypesForSourceOperation
extends java.lang.Object
implements IModelingAssistantOperation

The operation used with the modeling assistant service that gets the type of elements that can be used for the source end of a relationship.

Field Summary

Fields inherited from interface org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantOperation
`GET_REL_TYPES_FOR_SRE_ON_SOURCE_ID, GET_REL_TYPES_FOR_SRE_ON_TARGET_ID, GET_REL_TYPES_ON_SOURCE_AND_TARGET_ID, GET_REL_TYPES_ON_SOURCE_ID, GET_REL_TYPES_ON_TARGET_ID, GET_TYPES_FOR_POPUP_BAR_ID, GET_TYPES_FOR_SOURCE_ID, GET_TYPES_FOR_TARGET_ID, GET_TYPES_ID, SELECT_EXISTING_ELEMENT_FOR_SOURCE_ID, SELECT_EXISTING_ELEMENT_FOR_TARGET_ID`

Constructor Summary
`protected` `GetTypesForSourceOperation(IAdaptable target, IElementType relationshipType)` Creates a new `GetTypesForSourceOperation`.

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`IAdaptable` `getContext()` Returns the target.
`java.lang.String` `getId()` Returns the id string to match that specified in the plugin.xml for deferred loading.
`IElementType` `getRelationshipType()` Gets the relationshipType.
`IAdaptable` `getTarget()` Gets the target.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTypesForSourceOperation

    protected GetTypesForSourceOperation(IAdaptable target,
                                         IElementType relationshipType)

  Creates a new `GetTypesForSourceOperation`.

Parameters:
  `target` - the target: adapts to EditPart, View, Element, etc.
  `relationshipType` - the relationship type to be created

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `IModelingAssistantOperation`
  Returns the id string to match that specified in the plugin.xml for deferred loading.

  Specified by:
    `getId` in interface `IModelingAssistantOperation`
  Returns:
    the id string

### getContext

    public IAdaptable getContext()

  Returns the target. This is what will be used to assist in delayed loading of a modeling assistant provider.

  Specified by:
    `getContext` in interface `IModelingAssistantOperation`
  Returns:
    the context object

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.

### getRelationshipType

    public IElementType getRelationshipType()

  Gets the relationshipType.

  Returns:
    Returns the relationshipType.

### getTarget

    public IAdaptable getTarget()

  Gets the target.

  Returns:
    Returns the target.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.